Package org.pentaho.reporting.libraries.resourceloader.factory

# Interface FactoryModule

All Known Implementing Classes:
  `AbstractFactoryModule`, `AbstractSVGFactoryModule`, `AbstractWMFFactoryModule`, `GIFImageFactoryModule`, `ImageIOFactoryModule`, `JPEGImageFactoryModule`, `PNGImageFactoryModule`, `SVGDrawableFactoryModule`, `SVGImageFactoryModule`, `WMFDrawableFactoryModule`, `WMFImageFactoryModule`, `WrapperSVGDrawableFactoryModule`, `WrapperSVGImageFactoryModule`, `WrapperWMFDrawableFactoryModule`, `WrapperWMFImageFactoryModule`

public interface FactoryModule
Creation-Date: 05.04.2006, 17:00:33

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FEELING_LUCKY`
A default handler does not reject the content.
`static final int`
`RECOGNIZED_CONTENTTYPE`
`static final int`
`RECOGNIZED_FILE`
`static final int`
`RECOGNIZED_FINGERPRINT`
`static final int`
`REJECTED`

## Method Summary

Modifier and Type
Method
Description
`int`
`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`int`
`getHeaderFingerprintSize()`

## Field Details

### RECOGNIZED_FINGERPRINT

static final int RECOGNIZED_FINGERPRINT

See Also:
  - Constant Field Values

### RECOGNIZED_CONTENTTYPE

static final int RECOGNIZED_CONTENTTYPE

See Also:
  - Constant Field Values

### RECOGNIZED_FILE

static final int RECOGNIZED_FILE

See Also:
  - Constant Field Values

### FEELING_LUCKY

static final int FEELING_LUCKY
A default handler does not reject the content.

See Also:
  - Constant Field Values

### REJECTED

static final int REJECTED

See Also:
  - Constant Field Values

## Method Details

### canHandleResource

int canHandleResource(ResourceManager caller, ResourceData data) throws ResourceCreationException, ResourceLoadingException

Throws:
  `ResourceCreationException`
  `ResourceLoadingException`

### getHeaderFingerprintSize

int getHeaderFingerprintSize()

### create

Resource create(ResourceManager caller, ResourceData data, ResourceKey context) throws ResourceCreationException, ResourceLoadingException

Throws:
  `ResourceCreationException`
  `ResourceLoadingException`